package com.yd.csf.api.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yd.common.result.Result;
import com.yd.csf.feign.dto.appointment.ApiProductPlanAdditionalInfoDto;
import com.yd.csf.feign.dto.appointment.ApiProductPlanInfoDto;
import com.yd.csf.feign.request.additional.ApiAdditionalPageRequest;
import com.yd.csf.feign.response.additional.ApiAdditionalPageResponse;

import java.util.List;

public interface ApiAdditionalService {

    Result<IPage<ApiAdditionalPageResponse>> page(ApiAdditionalPageRequest request);

    Result<List<ApiProductPlanAdditionalInfoDto>> list(String planBizId);

    Result add(ApiProductPlanAdditionalInfoDto apiProductPlanAdditionalInfoDto);

    Result edit(ApiProductPlanAdditionalInfoDto apiProductPlanAdditionalInfoDto);

    Result<ApiProductPlanAdditionalInfoDto> detail(String additionalBizId);

    Result del(String additionalBizId);

    Result batchAddAdditionalData(ApiProductPlanInfoDto dto, String planBizId);

    Result batchEditAdditionalData(ApiProductPlanInfoDto dto, String planBizId);
}
